Package com.avaya.clientservices.provider.ldap

## Class LDAPConfiguration

- java.lang.Object
- - com.avaya.clientservices.provider.ldap.LDAPConfiguration

-     public class LDAPConfiguration
      extends java.lang.Object

  User Configuration information for LDAP. This class provides the configuration data that allows a connection and access to be made to an LDAP Server

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LDAPConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBaseDistinguishName()` | String value representing the top entry in a LDAP DIT (Directory Information Tree)
    `CredentialProvider` | `getCredentialProvider()` |
    `java.lang.String` | `getIMAttribute()` | String value of the LDAP attribute that contains the IM handle for the user
    `int` | `getMaxEntries()` | The maximum number of matching entries to display Default is 50 entries
    `LDAPScope` | `getSearchScope()` | The LDAP attribute that defines the scope of the LDAP search.
    `int` | `getSearchTimeoutInSeconds()` | The search time out interval (in seconds) Default is 100 seconds
    `ServerInfo` | `getServerInfo()` | ServerInfo value indicating the server to connect with.
    `boolean` | `isEnabled()` | Boolean value indicating whether the LDAP provider is enabled.
    `boolean` | `isUseGSSBind()` | When GSS bind is enabled the Windows credentials are used for LDAP connection
    `boolean` | `isUseIMDomain()` |
    `void` | `setBaseDistinguishName​(java.lang.String baseDistinguishName)` | Set the string value representing the top entry in a LDAP DIT (Directory Information Tree)
    `void` | `setCredentialProvider​(CredentialProvider credentialProvider)` | Set the ICredentialProvider value representing the object that provides the credentials.
    `void` | `setEnabled​(boolean enabled)` | Set the Boolean value indicating whether the LDAP provider is enabled.
    `void` | `setIMAttribute​(java.lang.String imAttribute)` | Set the String value of the LDAP attribute that contains the IM handle for the user
    `void` | `setMaxEntries​(int maxEntries)` | The maximum number of matching entries to display Range between 10 to 100 entries
    `void` | `setSearchScope​(LDAPScope searchScope)` | Sets the scope of the LDAP search.
    `void` | `setSearchTimeoutInSeconds​(int timeoutInSeconds)` | The search time out interval (in seconds) Range between 10 to 200 seconds
    `void` | `setServerInfo​(ServerInfo serverInfo)` | Set the ServerInfo value indicating the server to connect with.
    `void` | `setUseGSSBind​(boolean useGssBind)` | Set the GSS bind value
    `void` | `setUseIMDomain​(boolean useImDomain)` | Set the boolean value, if true then perform domain substitution using the IM domain

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPConfiguration

          public LDAPConfiguration()

  - ### Method Detail

    - #### getBaseDistinguishName

          public java.lang.String getBaseDistinguishName()

      String value representing the top entry in a LDAP DIT (Directory Information Tree)
      Returns:
        the top entry in a LDAP DIT (Directory Information Tree)

    - #### setBaseDistinguishName

          public void setBaseDistinguishName​(java.lang.String baseDistinguishName)

      Set the string value representing the top entry in a LDAP DIT (Directory Information Tree)
      Parameters:
        `baseDistinguishName` - the string value representing the top entry in a LDAP DIT (Directory Information Tree)

    - #### getCredentialProvider

          public CredentialProvider getCredentialProvider()

      Returns:
        CredentialProvider value representing the object that provides the credentials.

    - #### setCredentialProvider

          public void setCredentialProvider​(CredentialProvider credentialProvider)

      Set the ICredentialProvider value representing the object that provides the credentials.
      Parameters:
        `credentialProvider` - the ICredentialProvider value representing the object that provides the credentials.

    - #### isEnabled

          public boolean isEnabled()

      Boolean value indicating whether the LDAP provider is enabled.
      Returns:
        true if LDAP is enabled, otherwise false

    - #### setEnabled

          public void setEnabled​(boolean enabled)

      Set the Boolean value indicating whether the LDAP provider is enabled.
      Parameters:
        `enabled` - the Boolean value indicating whether the LDAP provider is enabled.

    - #### getIMAttribute

          public java.lang.String getIMAttribute()

      String value of the LDAP attribute that contains the IM handle for the user
      Returns:
        the IM handle for the user

    - #### setIMAttribute

          public void setIMAttribute​(java.lang.String imAttribute)

      Set the String value of the LDAP attribute that contains the IM handle for the user
      Parameters:
        `imAttribute` - the String value of the LDAP attribute that contains the IM handle for the user

    - #### getServerInfo

          public ServerInfo getServerInfo()

      ServerInfo value indicating the server to connect with.
      Returns:
        LDAP server info

    - #### setServerInfo

          public void setServerInfo​(ServerInfo serverInfo)

      Set the ServerInfo value indicating the server to connect with.
      Parameters:
        `serverInfo` - the ServerInfo value indicating the server to connect with.

    - #### isUseGSSBind

          public boolean isUseGSSBind()

      When GSS bind is enabled the Windows credentials are used for LDAP connection
      Returns:
        if true then use GSS Bind

    - #### setUseGSSBind

          public void setUseGSSBind​(boolean useGssBind)

      Set the GSS bind value
      Parameters:
        `useGssBind` - the GSS bind value

    - #### isUseIMDomain

          public boolean isUseIMDomain()

      Returns:
        if true then perform domain substitution using the IM domain

    - #### setUseIMDomain

          public void setUseIMDomain​(boolean useImDomain)

      Set the boolean value, if true then perform domain substitution using the IM domain
      Parameters:
        `useImDomain` - the boolean value, if true then perform domain substitution using the IM domain

    - #### getSearchScope

          public LDAPScope getSearchScope()

      The LDAP attribute that defines the scope of the LDAP search. Default is eLDAP_SCOPE_SUBTREE
      Returns:
        Search Scope Type

    - #### setSearchScope

          public void setSearchScope​(LDAPScope searchScope)

      Sets the scope of the LDAP search.
      Parameters:
        `searchScope` - the scope type.

    - #### getSearchTimeoutInSeconds

          public int getSearchTimeoutInSeconds()

      The search time out interval (in seconds) Default is 100 seconds
      Returns:
        The search time out interval

    - #### setSearchTimeoutInSeconds

          public void setSearchTimeoutInSeconds​(int timeoutInSeconds)

      The search time out interval (in seconds) Range between 10 to 200 seconds
      Parameters:
        `timeoutInSeconds` - The search time out interval (in seconds)

    - #### getMaxEntries

          public int getMaxEntries()

      The maximum number of matching entries to display Default is 50 entries
      Returns:
        The maximum number of matching entries to display

    - #### setMaxEntries

          public void setMaxEntries​(int maxEntries)

      The maximum number of matching entries to display Range between 10 to 100 entries
      Parameters:
        `maxEntries` - The maximum number of matching entries to display